!/bin/bash

if [ $# -ne 1 ]
then
  echo -e "\n\n\t Usage: ./preproc.sh   <FITS image> \n\n"
  exit -1
fi
IMAGE=$1


#SPLIT
echo '?' > 01_split.cl
echo noao >> 01_split.cl
echo imred >> 01_split.cl
echo imcopy $IMAGE'[1:1090,1:4610] _a' >> 01_split.cl
echo imcopy $IMAGE'[1091:2180,1:4610] _b' >> 01_split.cl
echo hedit _a DATASEC '[51:1074,3:4608]' up+ ver- sh+ addon+ >> 01_split.cl
echo hedit _a TRIMSEC '[51:1074,3:4608]' up+ ver- sh+ addon+ >> 01_split.cl
echo hedit _a BIASSEC '[4:46,3:4608]' up+ ver- sh+ addon+ >> 01_split.cl
echo hedit _b DATASEC '[17:1040,3:4608]' up+ ver- sh+ addon+ >> 01_split.cl
echo hedit _b TRIMSEC '[17:1040,3:4608]' up+ ver- sh+ addon+ >> 01_split.cl
echo hedit _b BIASSEC '[1044:1086,3:4608]' up+ ver- sh+ addon+ >> 01_split.cl
cl < 01_split.cl


#CCDPROC
echo '?' > 02_proc.cl
echo noao >> 02_proc.cl
echo imred >> 02_proc.cl
echo ccdred >> 02_proc.cl
echo ccdproc _a output=_ap ccdtype='""' readaxi=line \
 fixpix- overscan+ trim+ zerocor- darkcor- flatcor- \
 biassec=image trimsec=image \
 interac- funct=legendre order=11 \
 naverag=1 niterat=5 low=3 high=3 >> 02_proc.cl
echo ccdproc _b output=_bp ccdtype='""' readaxi=line \
 fixpix- overscan+ trim+ zerocor- darkcor- flatcor- \
 biassec=image trimsec=image \
 interac- funct=legendre order=11 \
 naverag=1 niterat=5 low=3 high=3 >> 02_proc.cl
echo imjoin _ap,_bp _J 1 >> 02_proc.cl
cl < 02_proc.cl

mv _J.fits `echo $IMAGE | sed s/.fits/_p.fits/`
rm -rf _*fits